org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class FoldTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.FoldTest

- Direct Known Subclasses:
    FoldTest.Traversals

      public abstract class FoldTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FoldTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FoldTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_age_foldX0_plusX()`
    `void` | `g_V_fold_unfold()`
    `void` | `g_V_fold()`
    `abstract Traversal<Vertex,Integer>` | `get_g_V_age_foldX0_plusX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_fold_unfold()`
    `abstract Traversal<Vertex,List<Vertex>>` | `get_g_V_fold()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FoldTest

          public FoldTest()

  - ### Method Detail

    - #### get_g_V_fold

          public abstract Traversal<Vertex,List<Vertex>> get_g_V_fold()

    - #### get_g_V_fold_unfold

          public abstract Traversal<Vertex,Vertex> get_g_V_fold_unfold()

    - #### get_g_V_age_foldX0_plusX

          public abstract Traversal<Vertex,Integer> get_g_V_age_foldX0_plusX()

    - #### g_V_fold

          public void g_V_fold()

    - #### g_V_fold_unfold

          public void g_V_fold_unfold()

    - #### g_V_age_foldX0_plusX

          public void g_V_age_foldX0_plusX()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.